## ros-one-pilz-industrial-motion-planner 1.1.16-49jammy.20251023.1727

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(pilz_industrial_motion_planner)

find_package(catkin REQUIRED COMPONENTS
  joint_limits_interface
  moveit_core
  moveit_msgs
  moveit_ros_move_group
  moveit_ros_planning
  moveit_ros_planning_interface
  pluginlib
  roscpp
  tf2
  tf2_eigen
  tf2_geometry_msgs
  tf2_kdl
  tf2_ros
)

find_package(orocos_kdl)
find_package(Boost REQUIRED COMPONENTS )

if(CATKIN_ENABLE_TESTING AND ENABLE_COVERAGE_TESTING)
  find_package(code_coverage REQUIRED)
  APPEND_COVERAGE_COMPILER_FLAGS()
endif()

################
## Clang tidy ##
################
if(CATKIN_ENABLE_CLANG_TIDY)
  find_program(
    CLANG_TIDY_EXE
    NAMES "clang-tidy"
    DOC "Path to clang-tidy executable"
    )
  if(NOT CLANG_TIDY_EXE)
    message(FATAL_ERROR "clang-tidy not found.")
  else()
    message(STATUS "clang-tidy found: ${CLANG_TIDY_EXE}")
    set(CMAKE_CXX_CLANG_TIDY "${CLANG_TIDY_EXE}")
  endif()
endif()

###################################
## catkin specific configuration ##
###################################
catkin_package(
  CATKIN_DEPENDS
  moveit_msgs
  roscpp
  tf2_geometry_msgs
)

###########
## Build ##
###########
include_directories(
  include
)

# To avoid Warnings from clang-tidy declare system
include_directories(
  SYSTEM
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

## Declare a C++ library
add_library(${PROJECT_NAME}_lib
  src/${PROJECT_NAME}.cpp
  src/planning_context_loader.cpp
  src/joint_limits_validator.cpp
  src/joint_limits_aggregator.cpp
  src/joint_limits_container.cpp
  src/cartesian_limits_aggregator.cpp
  src/cartesian_limit.cpp
  src/limits_container.cpp
  src/trajectory_functions.cpp
  src/plan_components_builder.cpp
)

target_link_libraries(${PROJECT_NAME}_lib
  ${catkin_LIBRARIES}
)

#############
## Plugins ##
#############
add_library(${PROJECT_NAME}
            src/${PROJECT_NAME}.cpp
            src/planning_context_loader.cpp
            src/joint_limits_aggregator.cpp
            src/joint_limits_container.cpp
            src/limits_container.cpp
            src/cartesian_limit.cpp
            src/cartesian_limits_aggregator.cpp
            )
target_link_libraries(${PROJECT_NAME}
                      ${catkin_LIBRARIES})

add_library(planning_context_loader_ptp
            src/planning_context_loader_ptp.cpp
            src/planning_context_loader.cpp
            src/trajectory_functions.cpp
            src/trajectory_generator.cpp
            src/trajectory_generator_ptp.cpp
            src/velocity_profile_atrap.cpp
            src/joint_limits_container.cpp
            )
target_link_libraries(planning_context_loader_ptp
                      ${catkin_LIBRARIES})

add_library(planning_context_loader_lin
            src/planning_context_loader_lin.cpp
            src/planning_context_loader.cpp
            src/trajectory_functions.cpp
            src/trajectory_generator.cpp
            src/trajectory_generator_lin.cpp
            src/velocity_profile_atrap.cpp
            )
target_link_libraries(planning_context_loader_lin
                      ${catkin_LIBRARIES})

add_library(planning_context_loader_circ
            src/planning_context_loader_circ.cpp
            src/planning_context_loader.cpp
            src/trajectory_functions.cpp
            src/trajectory_generator.cpp
            src/trajectory_generator_circ.cpp
            src/path_circle_generator.cpp
            )
target_link_libraries(planning_context_loader_circ
                      ${catkin_LIBRARIES})

add_library(command_list_manager
            src/command_list_manager.cpp
            src/plan_components_builder.cpp)
target_link_libraries(command_list_manager
            ${catkin_LIBRARIES})
add_dependencies(command_list_manager
            ${catkin_EXPORTED_TARGETS})

add_library(sequence_capability
            src/move_group_sequence_action.cpp
            src/move_group_sequence_service.cpp
            src/plan_components_builder.cpp
            src/command_list_manager.cpp
            src/trajectory_blender_transition_window.cpp
            src/joint_limits_aggregator.cpp  # do we need joint limits and cartesian_limit here?
            src/joint_limits_container.cpp
            src/limits_container.cpp
            src/cartesian_limit.cpp
            src/cartesian_limits_aggregator.cpp
            )
target_link_libraries(sequence_capability
                      ${catkin_LIBRARIES})
add_dependencies(sequence_capability
           ${catkin_EXPORTED_TARGETS})

#############
## Install ##
#############
install(FILES
       plugins/sequence_capability_plugin_description.xml
       plugins/${PROJECT_NAME}_plugin_description.xml
       plugins/planning_context_plugin_description.xml
       DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/plugins
       )

## Mark libraries for installation
install(TARGETS
   ${PROJECT_NAME}
   planning_context_loader_ptp
   planning_context_loader_lin
   planning_context_loader_circ
   command_list_manager
   sequence_capability
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

#############
## Testing ##
#############
if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(${PROJECT_NAME}_testutils REQUIRED)

  include_directories(
    ${${PROJECT_NAME}_testutils_INCLUDE_DIRS}
  )

  if(ENABLE_COVERAGE_TESTING)
    include(CodeCoverage)
    APPEND_COVERAGE_COMPILER_FLAGS()
  endif()

  #########################
  ####Integration Tests####
  #########################
  set(${PROJECT_NAME}_INTEGRATIONTEST_LIBRARIES
    sequence_capability
    ${PROJECT_NAME}
    planning_context_loader_ptp
    planning_context_loader_lin
    planning_context_loader_circ
  )

  # Planning Integration tests
  add_rostest_gmock(integrationtest_sequence_action_preemption
    test/integrationtest_sequence_action_preemption.test
    test/integrationtest_sequence_action_preemption.cpp
  )
  target_link_libraries(integrationtest_sequence_action_preemption
    ${catkin_LIBRARIES}
    ${${PROJECT_NAME}_testutils_LIBRARIES}
    ${${PROJECT_NAME}_INTEGRATIONTEST_LIBRARIES}
  )

  add_rostest_gmock(integrationtest_sequence_action
    test/integrationtest_sequence_action.test
    test/integrationtest_sequence_action.cpp
  )
  target_link_libraries(integrationtest_sequence_action
    ${catkin_LIBRARIES}
    ${${PROJECT_NAME}_testutils_LIBRARIES}
    ${${PROJECT_NAME}_INTEGRATIONTEST_LIBRARIES}
  )

  add_rostest(test/integrationtest_sequence_action_capability_with_gripper.test
    DEPENDENCIES integrationtest_sequence_action
  )

  add_rostest(test/integrationtest_sequence_action_capability_frankaemika_panda.test
    DEPENDENCIES integrationtest_sequence_action
  )

  add_rostest_gtest(integrationtest_sequence_service_capability
    test/integrationtest_sequence_service_capability.test
    test/integrationtest_sequence_service_capability.cpp
  )
  target_link_libraries(integrationtest_sequence_service_capability
    ${catkin_LIBRARIES}
    ${${PROJECT_NAME}_testutils_LIBRARIES}
    ${${PROJECT_NAME}_INTEGRATIONTEST_LIBRARIES}
  )

  add_rostest(test/integrationtest_sequence_service_capability_frankaemika_panda.test
    DEPENDENCIES integrationtest_sequence_service_capability )

  add_rostest(test/integrationtest_sequence_service_capability_with_gripper.test
    DEPENDENCIES integrationtest_sequence_service_capability
  )

  # Planning Integration tests
  add_rostest_gtest(integrationtest_command_planning
    test/integrationtest_command_planning.test
    test/integrationtest_command_planning.cpp
    test/test_utils.cpp
  )
  target_link_libraries(integrationtest_command_planning
    ${catkin_LIBRARIES}
    ${${PROJECT_NAME}_testutils_LIBRARIES}
    ${${PROJECT_NAME}_INTEGRATIONTEST_LIBRARIES}
  )

  add_rostest(test/integrationtest_command_planning_with_gripper.test
    DEPENDENCIES integrationtest_command_planning
  )

  add_rostest(test/integrationtest_command_planning_frankaemika_panda.test
    DEPENDENCIES integrationtest_command_planning )

  # Blending Integration tests
  add_rostest_gtest(integrationtest_command_list_manager
    test/integrationtest_command_list_manager.test
    test/integrationtest_command_list_manager.cpp
    test/test_utils.cpp
  )
  target_link_libraries(integrationtest_command_list_manager
    ${catkin_LIBRARIES}
    ${${PROJECT_NAME}_testutils_LIBRARIES}
    ${${PROJECT_NAME}_INTEGRATIONTEST_LIBRARIES}
  )

  add_rostest_gtest(integrationtest_get_solver_tip_frame
    test/integrationtest_get_solver_tip_frame.test
    test/integrationtest_get_solver_tip_frame.cpp
  )
  target_link_libraries(integrationtest_get_solver_tip_frame
    ${catkin_LIBRARIES}
    ${${PROJECT_NAME}_INTEGRATIONTEST_LIBRARIES}
  )

  add_rostest_gtest(integrationtest_plan_components_builder
    test/integrationtest_plan_components_builder.test
    test/integrationtest_plan_components_builder.cpp
  )
  target_link_libraries(integrationtest_plan_components_builder
    ${catkin_LIBRARIES}
    ${${PROJECT_NAME}_INTEGRATIONTEST_LIBRARIES}
  )

  add_rostest(test/python_move_group_planning.test)

  ##################
  ####Unit Tests####
  ##################
  add_library(${PROJECT_NAME}_testhelpers
    test/test_utils.cpp
    src/trajectory_generator.cpp
    src/trajectory_generator_circ.cpp
    src/trajectory_generator_lin.cpp
    src/trajectory_generator_ptp.cpp
    src/path_circle_generator.cpp
    src/velocity_profile_atrap.cpp
  )

  target_link_libraries(${PROJECT_NAME}_testhelpers ${PROJECT_NAME}_lib)

  ## Add gtest based cpp test target and link libraries
  catkin_add_gtest(unittest_${PROJECT_NAME}_direct
    test/unittest_${PROJECT_NAME}_direct.cpp
    src/planning_context_loader_ptp.cpp
  )
  target_link_libraries(unittest_${PROJECT_NAME}_direct
    ${catkin_LIBRARIES}
    ${PROJECT_NAME}_testhelpers
  )

  ## Add gtest based cpp test target and link libraries
  catkin_add_gtest(unittest_velocity_profile_atrap
    test/unittest_velocity_profile_atrap.cpp
    src/velocity_profile_atrap.cpp
  )
  target_link_libraries(unittest_velocity_profile_atrap
    ${catkin_LIBRARIES}
  )

  catkin_add_gtest(unittest_trajectory_generator
    test/unittest_trajectory_generator.cpp
    src/trajectory_generator.cpp
  )
  target_link_libraries(unittest_trajectory_generator
    ${catkin_LIBRARIES}
    ${${PROJECT_NAME}_testutils_LIBRARIES}
    ${PROJECT_NAME}_lib
  )

  # Trajectory Generator Unit Test
  add_rostest_gtest(unittest_trajectory_functions
    test/unittest_trajectory_functions.test
    test/unittest_trajectory_functions.cpp
  )
  target_link_libraries(unittest_trajectory_functions
    ${catkin_LIBRARIES}
    ${PROJECT_NAME}_testhelpers
  )

  # unittest for trajectory blender transition window
  add_rostest_gtest(unittest_trajectory_blender_transition_window
    test/unittest_trajectory_blender_transition_window.test
    test/unittest_trajectory_blender_transition_window.cpp
    src/trajectory_blender_transition_window.cpp
  )
  target_link_libraries(unittest_trajectory_blender_transition_window
    ${catkin_LIBRARIES}
    ${${PROJECT_NAME}_testutils_LIBRARIES}
    ${PROJECT_NAME}_testhelpers
  )

  # trajectory generator Unit Test
  add_rostest_gtest(unittest_trajectory_generator_common
    test/unittest_trajectory_generator_common.test
    test/unittest_trajectory_generator_common.cpp
  )
  target_link_libraries(unittest_trajectory_generator_common
    ${catkin_LIBRARIES}
    ${PROJECT_NAME}_testhelpers
  )

  # trajectory generator circ Unit Test
  add_rostest_gtest(unittest_trajectory_generator_circ
    test/unittest_trajectory_generator_circ.test
    test/unittest_trajectory_generator_circ.cpp
  )
  target_link_libraries(unittest_trajectory_generator_circ
    ${catkin_LIBRARIES}
    ${${PROJECT_NAME}_testutils_LIBRARIES}
    ${PROJECT_NAME}_testhelpers
  )

  # trajectory generator lin Unit Test
  add_rostest_gtest(unittest_trajectory_generator_lin
    test/unittest_trajectory_generator_lin.test
    test/unittest_trajectory_generator_lin.cpp
  )

=== debian/changelog ===
ros-one-pilz-industrial-motion-planner (1.1.16-49jammy.20251023.1727) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 23 Oct 2025 17:27:39 +0000

ros-one-pilz-industrial-motion-planner (1.1.16-0jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.15-0jammy) jammy; urgency=high

  * Fix identical subsequent time stamps generated by Pilz planner (#3630 <https://github.com/ros-planning/moveit/issues/3630>)
  * Fix PILZ/LIN segfault (#3624 <https://github.com/ros-planning/moveit/issues/3624>)
  * Contributors: Robert Haschke

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.14-0jammy) jammy; urgency=high

  * Don't copy attached collision objects in CommandListManager::setStartState (#3590 <https://github.com/ros-planning/moveit/issues/3590>)
  * [ROS-O] Fix Pilz unit tests (#3561 <https://github.com/ros-planning/moveit/issues/3561>)
  * Add Pilz unit tests, defining goal poses w.r.t. frame_id != planning frame (#3525 <https://github.com/ros-planning/moveit/issues/3525>)
  * Fix Pilz planner: consider link_name's offset during IK computation (#3523 <https://github.com/ros-planning/moveit/issues/3523>)
  * Pilz: Tranform goal pose and center point w.r.t. planning frame (#3522 <https://github.com/ros-planning/moveit/issues/3522>)
  * Silent error msg: Found empty JointState message
  * Replace Eigen::Affine3D -> Eigen::Isometry3D
  * Fix Pilz planners to consider and plan Cartesian motions w.r.t. subframes (#3519 <https://github.com/ros-planning/moveit/issues/3519>)
  * Constrain orocos_kdl to ROS Melodic
  * Contributors: Captain Yoshi, Robert Haschke, Tom Noble

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 27 May 2024 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.13-0jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.12-0jammy) jammy; urgency=high

  * Fix (some) doxygen warnings (#3315 <https://github.com/ros-planning/moveit/issues/3315>)
  * Drop lib/ prefix from plugin paths (#3305 <https://github.com/ros-planning/moveit/issues/3305>)
  * Contributors: Jochen Sprickerhof, Robert Haschke

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 13 May 2023 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.11-0jammy) jammy; urgency=high

  * Merge fixes+improvements to ``PlanningScene`` editing in rviz: #3263 <https://github.com/ros-planning/moveit/issues/3263>, #3264 <https://github.com/ros-planning/moveit/issues/3264>, #3296 <https://github.com/ros-planning/moveit/issues/3296>
  * Contributors: Robert Haschke

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.10-0jammy) jammy; urgency=high

  * Add missing header for std::unique_ptr (#3180 <https://github.com/ros-planning/moveit/issues/3180>)
  * Switch to hpp headers of pluginlib
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Jochen Sprickerhof, Michael Görner

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.9-0jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.8-0jammy) jammy; urgency=high

  * Avoid downgrading default C++ standard (#3043 <https://github.com/ros-planning/moveit/issues/3043>)
  * Resolve ambiguous function specification (#3040 <https://github.com/ros-planning/moveit/issues/3040>)
  * Contributors: Jochen Sprickerhof

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.7-0jammy) jammy; urgency=high

  * Pilz planner: improve reporting of invalid start joints (#3000 <https://github.com/ros-planning/moveit/issues/3000>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof, Robert Haschke, v4hn

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.6-0jammy) jammy; urgency=high

  * Fix calculation of subframe offset (#2890 <https://github.com/ros-planning/moveit/issues/2890>)
  * Remove unused moveit_planning_execution.launch
  * Use test_environment.launch in unittests (#2949 <https://github.com/ros-planning/moveit/issues/2949>)
  * Rename launch argument execution_type -> fake_execution_type
  * Improve error messages (#2940 <https://github.com/ros-planning/moveit/issues/2940>)
    * Remove deprecated xacro --inorder
    * Don't complain about missing limits for irrelevant JMGs
    * Avoid duplicate error messages
    * Downgrade ERROR to WARN when checking joint limits, report affected joint name
    * Quote (possibly empty) planner id
  * Consider attached bodies for planning (#2773 <https://github.com/ros-planning/moveit/issues/2773>, #2824 <https://github.com/ros-planning/moveit/issues/2824>, #2878 <https://github.com/ros-planning/moveit/issues/2878>)
  * Fix collision detection: consider current PlanningScene (#2803 <https://github.com/ros-planning/moveit/issues/2803>)
  * Add planning_pipeline_id to MotionSequence action + service (#2755 <https://github.com/ros-planning/moveit/issues/2755>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Felix von Drigalski, Leroy Rügemer, Michael Görner, Robert Haschke, Tom Noble, aa-tom, cambel, pvanlaar

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.5-0jammy) jammy; urgency=high



=== debian/control ===
Source: ros-one-pilz-industrial-motion-planner
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), liborocos-kdl-dev, ros-one-catkin, ros-one-joint-limits-interface, ros-one-moveit-core, ros-one-moveit-msgs, ros-one-moveit-ros-move-group, ros-one-moveit-ros-planning, ros-one-moveit-ros-planning-interface, ros-one-pluginlib, ros-one-roscpp, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-tf2-kdl, ros-one-tf2-ros
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-one-pilz-industrial-motion-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liborocos-kdl-dev, ros-one-joint-limits-interface, ros-one-moveit-core, ros-one-moveit-msgs, ros-one-moveit-ros-move-group, ros-one-moveit-ros-planning, ros-one-moveit-ros-planning-interface, ros-one-pluginlib, ros-one-roscpp, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-tf2-kdl, ros-one-tf2-ros
Description: MoveIt plugin to generate industrial trajectories PTP, LIN, CIRC and sequences thereof.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-pilz-industrial-motion-planner//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-pilz-industrial-motion-planner 1.1.16-49jammy.20251208.1024

=== debian/changelog ===
ros-one-pilz-industrial-motion-planner (1.1.16-49jammy.20251208.1024) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 08 Dec 2025 10:24:53 +0000

## ros-one-pilz-industrial-motion-planner 1.1.16-49noble.20251208.1705

=== debian/changelog ===
ros-one-pilz-industrial-motion-planner (1.1.16-49noble.20251208.1705) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 08 Dec 2025 17:05:40 +0000

ros-one-pilz-industrial-motion-planner (1.1.16-0noble) noble; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.15-0noble) noble; urgency=high

  * Fix identical subsequent time stamps generated by Pilz planner (#3630 <https://github.com/ros-planning/moveit/issues/3630>)
  * Fix PILZ/LIN segfault (#3624 <https://github.com/ros-planning/moveit/issues/3624>)
  * Contributors: Robert Haschke

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.14-0noble) noble; urgency=high

  * Don't copy attached collision objects in CommandListManager::setStartState (#3590 <https://github.com/ros-planning/moveit/issues/3590>)
  * [ROS-O] Fix Pilz unit tests (#3561 <https://github.com/ros-planning/moveit/issues/3561>)
  * Add Pilz unit tests, defining goal poses w.r.t. frame_id != planning frame (#3525 <https://github.com/ros-planning/moveit/issues/3525>)
  * Fix Pilz planner: consider link_name's offset during IK computation (#3523 <https://github.com/ros-planning/moveit/issues/3523>)
  * Pilz: Tranform goal pose and center point w.r.t. planning frame (#3522 <https://github.com/ros-planning/moveit/issues/3522>)
  * Silent error msg: Found empty JointState message
  * Replace Eigen::Affine3D -> Eigen::Isometry3D
  * Fix Pilz planners to consider and plan Cartesian motions w.r.t. subframes (#3519 <https://github.com/ros-planning/moveit/issues/3519>)
  * Constrain orocos_kdl to ROS Melodic
  * Contributors: Captain Yoshi, Robert Haschke, Tom Noble

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 27 May 2024 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.13-0noble) noble; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.12-0noble) noble; urgency=high

  * Fix (some) doxygen warnings (#3315 <https://github.com/ros-planning/moveit/issues/3315>)
  * Drop lib/ prefix from plugin paths (#3305 <https://github.com/ros-planning/moveit/issues/3305>)
  * Contributors: Jochen Sprickerhof, Robert Haschke

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 13 May 2023 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.11-0noble) noble; urgency=high

  * Merge fixes+improvements to ``PlanningScene`` editing in rviz: #3263 <https://github.com/ros-planning/moveit/issues/3263>, #3264 <https://github.com/ros-planning/moveit/issues/3264>, #3296 <https://github.com/ros-planning/moveit/issues/3296>
  * Contributors: Robert Haschke

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.10-0noble) noble; urgency=high

  * Add missing header for std::unique_ptr (#3180 <https://github.com/ros-planning/moveit/issues/3180>)
  * Switch to hpp headers of pluginlib
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Jochen Sprickerhof, Michael Görner

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.9-0noble) noble; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.8-0noble) noble; urgency=high

  * Avoid downgrading default C++ standard (#3043 <https://github.com/ros-planning/moveit/issues/3043>)
  * Resolve ambiguous function specification (#3040 <https://github.com/ros-planning/moveit/issues/3040>)
  * Contributors: Jochen Sprickerhof

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.7-0noble) noble; urgency=high

  * Pilz planner: improve reporting of invalid start joints (#3000 <https://github.com/ros-planning/moveit/issues/3000>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof, Robert Haschke, v4hn

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.6-0noble) noble; urgency=high

  * Fix calculation of subframe offset (#2890 <https://github.com/ros-planning/moveit/issues/2890>)
  * Remove unused moveit_planning_execution.launch
  * Use test_environment.launch in unittests (#2949 <https://github.com/ros-planning/moveit/issues/2949>)
  * Rename launch argument execution_type -> fake_execution_type
  * Improve error messages (#2940 <https://github.com/ros-planning/moveit/issues/2940>)
    * Remove deprecated xacro --inorder
    * Don't complain about missing limits for irrelevant JMGs
    * Avoid duplicate error messages
    * Downgrade ERROR to WARN when checking joint limits, report affected joint name
    * Quote (possibly empty) planner id
  * Consider attached bodies for planning (#2773 <https://github.com/ros-planning/moveit/issues/2773>, #2824 <https://github.com/ros-planning/moveit/issues/2824>, #2878 <https://github.com/ros-planning/moveit/issues/2878>)
  * Fix collision detection: consider current PlanningScene (#2803 <https://github.com/ros-planning/moveit/issues/2803>)
  * Add planning_pipeline_id to MotionSequence action + service (#2755 <https://github.com/ros-planning/moveit/issues/2755>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Felix von Drigalski, Leroy Rügemer, Michael Görner, Robert Haschke, Tom Noble, aa-tom, cambel, pvanlaar

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-pilz-industrial-motion-planner (1.1.5-0noble) noble; urgency=high



## ros-one-pilz-industrial-motion-planner 1.1.16-50jammy.20260128.2336

=== debian/changelog ===
ros-one-pilz-industrial-motion-planner (1.1.16-50jammy.20260128.2336) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Jan 2026 23:36:15 +0000

## ros-one-pilz-industrial-motion-planner 1.1.16-50noble.20260128.2354

=== debian/changelog ===
ros-one-pilz-industrial-motion-planner (1.1.16-50noble.20260128.2354) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Jan 2026 23:54:28 +0000

## ros-one-pilz-industrial-motion-planner 1.1.16-51jammy.20260301.2336

=== debian/changelog ===
ros-one-pilz-industrial-motion-planner (1.1.16-51jammy.20260301.2336) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 01 Mar 2026 23:36:51 +0000

## ros-one-pilz-industrial-motion-planner 1.1.16-51noble.20260301.2328

=== debian/changelog ===
ros-one-pilz-industrial-motion-planner (1.1.16-51noble.20260301.2328) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 01 Mar 2026 23:28:23 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
 Build-Depends: debhelper (>= 9.0.0), liborocos-kdl-dev, ros-one-catkin, ros-one-joint-limits-interface, ros-one-moveit-core, ros-one-moveit-msgs, ros-one-moveit-ros-move-group, ros-one-moveit-ros-planning, ros-one-moveit-ros-planning-interface, ros-one-pluginlib, ros-one-roscpp, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-tf2-kdl, ros-one-tf2-ros
-Homepage: http://moveit.ros.org
+Homepage: http://moveit.ai
 Standards-Version: 3.9.2
 
 Package: ros-one-pilz-industrial-motion-planner
